Subject: RE: [rohc] ROHC usage

From: Anton Mårtensson (EAB)<[email-masked]>
Date: Thu, 5 Sep 2002 14:33:35 +0200

Hi Hani,
Yes it's of course true that the improvement with ROHC depends on how many packets/sec 
the application produces and the size of the packets
 
For Internet video a typical frame rate is 10 frames/sec. If we assume that we have one video frame
in each IP/UDP/RTP packet (which is true for streaming and conversational video over a fixed network)
we only gain 3.04 kbit/s (3.2 kbit/s header bitrate without HC and 0.16 kbit/s with HC). But if we want 
to send conversational video over an error prone wireless network (without retransmission) we need
to split each video frame into several transport packets to be able to get a good quality (due to loss
of packets). If we assume that we are using 64 kbit/s video and that we do not want larger packets than
200 bytes, each video frame will be split into about 4 packets which gives us an packet rate at 40 packets/s.
The gain is now 12.16 kbit/s (12.8 kbit/s header bitrate without HC and 0.64 kbit/s with HC). Compare it with 
the video bitrate 64 kbit/s!
 
The gain from HC is even larger for speech!
Example: Assume that we have the AMR 12.2 kbit/s mode and that we send one speech frame/packet
(50 packets/s). This is necessary if we have conversational speech. Since ROHC can compress speech 
IP/UDP/RTP headers down to 1 byte (2 bytes for video) we will gain 15.6 kbit/s (16 kbit/s header bitrate 
without HC and 0.4 kbit/s with HC). Note: that the header bitrate is larger that the speech rate if not ROHC is 
used.
 
I hope this mail has answered some of your questions.
 
Regards
- Anton

-----Original Message-----
From: Hani Hu [mailto:[email-masked]]
Sent: den 3 september 2002 19:28
To: [email-masked]
Subject: [rohc] ROHC usage

Dear all, 

I am wondering where ROHC shows its efficiency better and I would appreciate it if someone could explain me about it. 

I mean, in a typical RTP/UDP/IP packet (specially in real time video packets), the header size is not an important part of packet size and its size is much less than total packet size so its compression also could not have an important effect. 

I know that it is mentioned in the rfc3095 document(introduction part) that ROHC is useful for mobile IP telephony, but what about video, data, and other services? I think that it should be some other usage, which I am not aware of, and I would greatly appreciate it if somebody helps me about it.

with kind regards,

Hani

  _____  

Do You Yahoo!?
Yahoo!  <http://rd.yahoo.com/finance/mailsig/new/*http://finance.yahoo.com> Finance - Get real-time stock quotes